## org.apache.aries.subsystem.core.archive
Class DeployedContentHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.DeployedContentHeader

All Implemented Interfaces:
  Header<DeployedContentHeader.Clause>, RequirementHeader<DeployedContentHeader.Clause>

    public class DeployedContentHeader

extends Object
implements RequirementHeader<DeployedContentHeader.Clause>

Nested Class Summary
`static class` `DeployedContentHeader.Clause`

Field Summary
`static String` `NAME`

Constructor Summary
`DeployedContentHeader(Collection<DeployedContentHeader.Clause> clauses)`
`DeployedContentHeader(String value)`

Method Summary
`boolean` `contains(org.osgi.resource.Resource resource)`
`DeployedContentHeader.Clause` `getClause(org.osgi.resource.Resource resource)`
`Collection<DeployedContentHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`boolean` `isReferenced(org.osgi.resource.Resource resource)`
`static DeployedContentHeader` `newInstance(Collection<org.osgi.resource.Resource> resources)`
`List<org.osgi.resource.Requirement>` `toRequirements(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### DeployedContentHeader

    public DeployedContentHeader(Collection<DeployedContentHeader.Clause> clauses)

### DeployedContentHeader

    public DeployedContentHeader(String value)

Method Detail

### newInstance

    public static DeployedContentHeader newInstance(Collection<org.osgi.resource.Resource> resources)

### contains

    public boolean contains(org.osgi.resource.Resource resource)

### getClause

    public DeployedContentHeader.Clause getClause(org.osgi.resource.Resource resource)

### getClauses

    public Collection<DeployedContentHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<DeployedContentHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<DeployedContentHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<DeployedContentHeader.Clause>`

### isReferenced

    public boolean isReferenced(org.osgi.resource.Resource resource)

### toRequirements

    public List<org.osgi.resource.Requirement> toRequirements(org.osgi.resource.Resource resource)

  Specified by:
    `toRequirements` in interface `RequirementHeader<DeployedContentHeader.Clause>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.